



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Cobbler自动化安装部署系统</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Cobbler自动化安装部署系统</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 10:31:06 </span>
						</div>
										<div class="post-content">
											
		<h1>自动化安装部署</h1>
<p><a href="https://www.cnblogs.com/nulige/p/6796593.html" rel="external nofollow noreferrer">https://www.cnblogs.com/nulige/p/6796593.html</a></p>
<h3>PXE+Kickstart工作原理</h3>
<p><img referrerpolicy="no-referrer"src="https://i.imgur.com/pkFE2p2.jpg"></p>
<p><img referrerpolicy="no-referrer"src="https://i.imgur.com/LvLCU0f.jpg"></p>
<p>pxe+kickstart工作流程</p>
<ol><li>网卡上的pxe芯片有512字节，存放了DHCP和TFTP的客户端</li>
<li>启动计算机选择网卡启动，pxe上的DHCP客户端会发出广播包向DHCP服务器申请IP地址</li>
<li>DHCP服务器分配给它IP地址的同时通过以下字段，告诉pxe，TFTP的地址和它要下载的文件（1.next-server x.x.x.x; 2.filename &quot;pxelinux.0&quot;;）</li>
<li>pxelinux.0告诉pxe要下载的配置文件是pxelinux.cfg目录下的default</li>
<li>pxe下载并依据配置文件的内容下载启动必须的文件，并通过ks.cfg开始系统安装</li></ol>
<hr>
<hr>
<h2>Cobbler部署安装</h2>
<blockquote><p>环境 -CentOS7+Cobbler2.8.2</p></blockquote>
<blockquote><p>官网：<a href="http://cobbler.github.io/" rel="external nofollow noreferrer">http://cobbler.github.io/</a></p></blockquote>
<h2><pre class="prettyprint linenums">[root@cobbler kickstarts]# cat /etc/redhat-release<br /><br />
CentOS Linux release 7.4.1708 (Core)<br /><br />
[root@cobbler kickstarts]# uname -m<br /><br />
x86_64<br /><br />
[root@cobbler kickstarts]# uname -r<br /><br />
3.10.0-693.el7.x86_64<br /><br />
[root@cobbler ~]# cobbler version<br /><br />
Cobbler 2.8.2<br>
</pre></h2>
<h3>Cobbler运行流程</h3>
<pre class="prettyprint linenums"><code>dhcp<br />
client: 从dhcp中获取地址，访问next_server的ip地址<br />
next_server : 获取启动内核，initrd等文件<br />
tftp: pxe引导文件，启动cobbler选择界面<br />
kickstart: 确定加载项，根据nfs，http，tfp等共享获取资源<br />
</code></pre>
<h3>部署过程</h3>
<p>1.关闭selinux和防火墙</p>
<pre class="prettyprint linenums">
关闭SELINUX：<br />
setenforce 0<br />
sed -i 's#SELINUX=enforcing#SELINUX=disabled#g' /etc/selinux/config

关闭防火墙：<br />
systemctl stop firewalld
</pre>
<p>2.安装epol源</p>
<pre class="prettyprint linenums">
rpm -ivh https://mirrors.aliyun.com/epel/7/x86_64/Packages/e/epel-release-7-11.noarch.rpm
</pre>
<p>3.安装cobbler</p>
<pre class="prettyprint linenums">
yum install -y httpd dhcp tftp cobbler cobbler-web pykickstart  xinetd
</pre>
<p>4.启动httpd和cobbler服务</p>
<pre class="prettyprint linenums">
启动httpd服务：<br />
systemctl start httpd<br />
启动cobblerd服务：<br />
systemctl start cobblerd
</pre>
<p>5.cobber check，完成要求</p>
<pre class="prettyprint linenums">
[root@cobbler ~]# cobbler check<br />
The following are potential configuration items that you may want to fix:

1 : The 'server' field in /etc/cobbler/settings must be set to something other than localhost, or kickstarting features will not work.  This should be a resolvable hostname or IP for the boot server as reachable by all machines that will use it.<br />
修改/etc/cobbler/settings中的server字段IP为本机网卡IP<br />
2 : For PXE to be functional, the 'next_server' field in /etc/cobbler/settings must be set to something other than 127.0.0.1, and should match the IP of the boot server on the PXE network.<br />
修改/etc/cobbler/settings中next_server字段IP为本机IP<br />
3 : SELinux is enabled. Please review the following wiki page for details on ensuring cobbler works correctly in your SELinux environment:<br />
    https://github.com/cobbler/cobbler/wiki/Selinux<br />
关闭SELinux<br />
4 : change 'disable' to 'no' in /etc/xinetd.d/tftp<br />
修改/etc/xinetd.d/tftp中disable为no<br />
5 : Some network boot-loaders are missing from /var/lib/cobbler/loaders, you may run 'cobbler get-loaders' to download them, or, if you only want to handle x86/x86_64 netbooting, you may ensure that you have installed a *recent* version of the syslinux package installed and can ignore this message entirely.  Files in this directory, should you want to support all architectures, should include pxelinux.0, menu.c32, elilo.efi, and yaboot. The 'cobbler get-loaders' command is the easiest way to resolve these requirements.<br />
运行cobbler get-loaders加载引导程序<br />
6 : enable and start rsyncd.service with systemctl<br />
启动rsyncd服务：systemctl start rsyncd<br />
7 : debmirror package is not installed, it will be required to manage debian deployments and repositories<br />
管理debian的部署和仓库，此处不管<br />
8 : The default password used by the sample templates for newly installed machines (default_password_crypted in /etc/cobbler/settings) is still set to 'cobbler' and should be changed, try: "openssl passwd -1 -salt 'random-phrase-here' 'your-password-here'" to generate new one<br />
运行openssl passwd -1 -salt '盐' '密码' 加密密钥字符串并替换掉/etc/cobbler/settings中default_password_crypted字段的值<br />
9 : fencing tools were not found, and are required to use the (optional) power management features. install cman or fence-agents to use them<br />
电源管理，此处不管

Restart cobblerd and then run 'cobbler sync' to apply changes.
</pre>
<p>6.完成要求后重启cobbler服务并再此cobbler check检查</p>
<pre class="prettyprint linenums">
systemctl restart cobblerd<br />
cobbler check
</pre>
<p>7.编辑修改/etc/cobbler/settings第242行为manage_dhcp: 1<br /><br />
编辑/etc/cobbler/dhcp.template,修改DHCP发布信息，即只修改</p>
<pre class="prettyprint linenums">
subnet 10.0.0.0 netmask 255.255.255.0 {<br />
     option routers             10.0.0.2;<br />
     option domain-name-servers 10.0.0.2;<br />
     option subnet-mask         255.255.255.0;<br />
     range dynamic-bootp        10.0.0.190 10.0.0.210;
</pre>
<p>8.重启cobblerd服务并执行cobbler sync</p>
<pre class="prettyprint linenums">
[root@cobbler ~]# systemctl restart cobblerd<br />
[root@cobbler ~]# cobbler sync<br />
task started: 2018-03-06_171312_sync<br />
task started (id=Sync, time=Tue Mar  6 17:13:12 2018)<br />
running pre-sync triggers<br />
cleaning trees<br />
removing: /var/lib/tftpboot/grub/images<br />
copying bootloaders<br />
copying: /var/lib/cobbler/loaders/pxelinux.0 -&gt; /var/lib/tftpboot/pxelinux.0<br />
copying: /var/lib/cobbler/loaders/menu.c32 -&gt; /var/lib/tftpboot/menu.c32<br />
copying: /var/lib/cobbler/loaders/yaboot -&gt; /var/lib/tftpboot/yaboot<br />
copying: /usr/share/syslinux/memdisk -&gt; /var/lib/tftpboot/memdisk<br />
copying: /var/lib/cobbler/loaders/grub-x86.efi -&gt; /var/lib/tftpboot/grub/grub-x86.efi<br />
copying: /var/lib/cobbler/loaders/grub-x86_64.efi -&gt; /var/lib/tftpboot/grub/grub-x86_64.efi<br />
copying distros to tftpboot<br />
copying images<br />
generating PXE configuration files<br />
generating PXE menu structure<br />
rendering DHCP files<br />
generating /etc/dhcp/dhcpd.conf<br />
rendering TFTPD files<br />
generating /etc/xinetd.d/tftp<br />
cleaning link caches<br />
running post-sync triggers<br />
running python triggers from /var/lib/cobbler/triggers/sync/post/*<br />
running python trigger cobbler.modules.sync_post_restart_services<br />
running: dhcpd -t -q<br />
received on stdout:<br />
received on stderr:<br />
running: service dhcpd restart<br />
received on stdout:<br />
received on stderr: Redirecting to /bin/systemctl restart dhcpd.service

running shell triggers from /var/lib/cobbler/triggers/sync/post/*<br />
running python triggers from /var/lib/cobbler/triggers/change/*<br />
running python trigger cobbler.modules.scm_track<br />
running shell triggers from /var/lib/cobbler/triggers/change/*<br />
*** TASK COMPLETE ***<br />
[root@cobbler ~]#
</pre>
<p>9.挂载系统镜像并将系统镜像导入cobbler<br /><br />
<img referrerpolicy="no-referrer"src="https://i.imgur.com/xasKWUf.png"></p>
<pre class="prettyprint linenums">
查看光盘信息：<br />
[root@cobbler ~]# ll /dev/cdrom<br />
lrwxrwxrwx. 1 root root 3 Mar  6 16:08 /dev/cdrom -&gt; sr0<br />
挂载并导入cobbler:<br />
[root@cobbler ~]# mount /dev/cdrom /mnt/<br />
mount: /dev/sr0 is write-protected, mounting read-only<br />
[root@cobbler ~]#<br />
[root@cobbler ~]# cobbler import --path=/mnt/ --name CentOS-7-x86_64 --arch=x86_64
</pre>
<p>10.自定义kickstarts文件<br /><br />
/var/lib/cobbler/kickstarts/为系统默认存放kickstarts文件的地方</p>
<pre class="prettyprint linenums">
cd /var/lib/cobbler/kickstarts/<br />
rz<br />
**上传事先准备好的CentOS-7-x86_64.cfg文件**

自定义kickstarts:<br />
cobbler profile edit --name=CentOS-7-x86_64 --kickstart=/var/lib/cobbler/kickstarts/CentOS-7-x86_64.cfg

CentOS 7默认网卡不是eth开头，修改内核参数使其成为eth开头<br />
cobbler profile edit --name=CentOS-7-x86_64 --kopts='net.ifnames=0 biosdevname'
</pre>
<p>11.重启httpd，xinetd,cobblerd服务</p>
<pre class="prettyprint linenums">
systemctl restart httpd<br />
systemctl restart xinetd<br />
systemctl restart cobblerd<br />
cobbler sync
</pre>
<p>12.查看DHCP日志，查看自动安装情况</p>
<pre class="prettyprint linenums">
[root@cobbler kickstarts]# tail -f /var/log/messages<br />
Mar  6 17:51:57 localhost dhcpd: Copyright 2004-2013 Internet Systems Consortium.<br />
Mar  6 17:51:57 localhost dhcpd: All rights reserved.<br />
Mar  6 17:51:57 localhost dhcpd: For info, please visit https://www.isc.org/software/dhcp/<br />
Mar  6 17:51:57 localhost dhcpd: Not searching LDAP since ldap-server, ldap-port and ldap-base-dn were not specified in the config file<br />
Mar  6 17:51:57 localhost dhcpd: Wrote 0 class decls to leases file.<br />
Mar  6 17:51:57 localhost dhcpd: Wrote 0 leases to leases file.<br />
Mar  6 17:51:57 localhost dhcpd: Listening on LPF/ens33/00:0c:29:54:bf:8c/10.0.0.0/24<br />
Mar  6 17:51:57 localhost dhcpd: Sending on   LPF/ens33/00:0c:29:54:bf:8c/10.0.0.0/24<br />
Mar  6 17:51:57 localhost dhcpd: Sending on   Socket/fallback/fallback-net<br />
Mar  6 17:51:57 localhost systemd: Started DHCPv4 Server Daemon.
</pre>
<p>13.开启一个新机器，选择网卡启动（默认就是网卡启动）<br /><br />
<img referrerpolicy="no-referrer"src="https://i.imgur.com/yRqQom3.png"><br /><br />
进入cobbler界面成功！！！<br /><br />
此时查看cobbler服务器DHCP日志信息：</p>
<pre class="prettyprint linenums">
[root@cobbler kickstarts]# tail -f /var/log/messages<br />
Mar  6 17:51:57 localhost dhcpd: Copyright 2004-2013 Internet Systems Consortium.<br />
Mar  6 17:51:57 localhost dhcpd: All rights reserved.<br />
Mar  6 17:51:57 localhost dhcpd: For info, please visit https://www.isc.org/software/dhcp/<br />
Mar  6 17:51:57 localhost dhcpd: Not searching LDAP since ldap-server, ldap-port and ldap-base-dn were not specified in the config file<br />
Mar  6 17:51:57 localhost dhcpd: Wrote 0 class decls to leases file.<br />
Mar  6 17:51:57 localhost dhcpd: Wrote 0 leases to leases file.<br />
Mar  6 17:51:57 localhost dhcpd: Listening on LPF/ens33/00:0c:29:54:bf:8c/10.0.0.0/24<br />
Mar  6 17:51:57 localhost dhcpd: Sending on   LPF/ens33/00:0c:29:54:bf:8c/10.0.0.0/24<br />
Mar  6 17:51:57 localhost dhcpd: Sending on   Socket/fallback/fallback-net<br />
Mar  6 17:51:57 localhost systemd: Started DHCPv4 Server Daemon.<br />
Mar  6 17:55:29 localhost dhcpd: DHCPDISCOVER from 00:0c:29:50:15:83 via ens33<br />
Mar  6 17:55:30 localhost dhcpd: DHCPOFFER on 10.0.0.190 to 00:0c:29:50:15:83 via ens33<br />
Mar  6 17:55:32 localhost dhcpd: DHCPREQUEST for 10.0.0.190 (10.0.0.181) from 00:0c:29:50:15:83 via ens33<br />
Mar  6 17:55:32 localhost dhcpd: DHCPACK on 10.0.0.190 to 00:0c:29:50:15:83 via ens33<br />
Mar  6 17:55:32 localhost xinetd[17293]: START: tftp pid=17333 from=10.0.0.190<br />
Mar  6 17:55:32 localhost in.tftpd[17334]: RRQ from 10.0.0.190 filename pxelinux.0<br />
Mar  6 17:55:32 localhost in.tftpd[17334]: tftp: client does not accept options<br />
Mar  6 17:55:32 localhost in.tftpd[17335]: RRQ from 10.0.0.190 filename pxelinux.0<br />
Mar  6 17:55:32 localhost in.tftpd[17335]: Client 10.0.0.190 finished pxelinux.0<br />
Mar  6 17:55:32 localhost in.tftpd[17336]: RRQ from 10.0.0.190 filename pxelinux.cfg/564d2383-4d62-184e-37d8-2d30ad501583<br />
Mar  6 17:55:32 localhost in.tftpd[17336]: Client 10.0.0.190 File not found pxelinux.cfg/564d2383-4d62-184e-37d8-2d30ad501583<br />
Mar  6 17:55:32 localhost in.tftpd[17337]: RRQ from 10.0.0.190 filename pxelinux.cfg/01-00-0c-29-50-15-83<br />
Mar  6 17:55:32 localhost in.tftpd[17337]: Client 10.0.0.190 File not found pxelinux.cfg/01-00-0c-29-50-15-83<br />
Mar  6 17:55:32 localhost in.tftpd[17338]: RRQ from 10.0.0.190 filename pxelinux.cfg/0A0000BE<br />
Mar  6 17:55:32 localhost in.tftpd[17338]: Client 10.0.0.190 File not found pxelinux.cfg/0A0000BE<br />
Mar  6 17:55:32 localhost in.tftpd[17339]: RRQ from 10.0.0.190 filename pxelinux.cfg/0A0000B<br />
Mar  6 17:55:32 localhost in.tftpd[17339]: Client 10.0.0.190 File not found pxelinux.cfg/0A0000B<br />
Mar  6 17:55:32 localhost in.tftpd[17340]: RRQ from 10.0.0.190 filename pxelinux.cfg/0A0000<br />
Mar  6 17:55:32 localhost in.tftpd[17340]: Client 10.0.0.190 File not found pxelinux.cfg/0A0000<br />
Mar  6 17:55:32 localhost in.tftpd[17341]: RRQ from 10.0.0.190 filename pxelinux.cfg/0A000<br />
Mar  6 17:55:32 localhost in.tftpd[17341]: Client 10.0.0.190 File not found pxelinux.cfg/0A000<br />
Mar  6 17:55:32 localhost in.tftpd[17342]: RRQ from 10.0.0.190 filename pxelinux.cfg/0A00<br />
Mar  6 17:55:32 localhost in.tftpd[17342]: Client 10.0.0.190 File not found pxelinux.cfg/0A00<br />
Mar  6 17:55:32 localhost in.tftpd[17343]: RRQ from 10.0.0.190 filename pxelinux.cfg/0A0<br />
Mar  6 17:55:32 localhost in.tftpd[17343]: Client 10.0.0.190 File not found pxelinux.cfg/0A0<br />
Mar  6 17:55:32 localhost in.tftpd[17344]: RRQ from 10.0.0.190 filename pxelinux.cfg/0A<br />
Mar  6 17:55:32 localhost in.tftpd[17344]: Client 10.0.0.190 File not found pxelinux.cfg/0A<br />
Mar  6 17:55:32 localhost in.tftpd[17345]: RRQ from 10.0.0.190 filename pxelinux.cfg/0<br />
Mar  6 17:55:32 localhost in.tftpd[17345]: Client 10.0.0.190 File not found pxelinux.cfg/0<br />
Mar  6 17:55:32 localhost in.tftpd[17346]: RRQ from 10.0.0.190 filename pxelinux.cfg/default<br />
Mar  6 17:55:32 localhost in.tftpd[17346]: Client 10.0.0.190 finished pxelinux.cfg/default<br />
Mar  6 17:55:32 localhost in.tftpd[17347]: RRQ from 10.0.0.190 filename menu<br />
Mar  6 17:55:32 localhost in.tftpd[17347]: Client 10.0.0.190 File not found menu<br />
Mar  6 17:55:32 localhost in.tftpd[17348]: RRQ from 10.0.0.190 filename menu.cbt<br />
Mar  6 17:55:32 localhost in.tftpd[17348]: Client 10.0.0.190 File not found menu.cbt<br />
Mar  6 17:55:32 localhost in.tftpd[17349]: RRQ from 10.0.0.190 filename menu.0<br />
Mar  6 17:55:32 localhost in.tftpd[17349]: Client 10.0.0.190 File not found menu.0<br />
Mar  6 17:55:32 localhost in.tftpd[17350]: RRQ from 10.0.0.190 filename menu.com<br />
Mar  6 17:55:32 localhost in.tftpd[17350]: Client 10.0.0.190 File not found menu.com<br />
Mar  6 17:55:32 localhost in.tftpd[17351]: RRQ from 10.0.0.190 filename menu.c32<br />
Mar  6 17:55:32 localhost in.tftpd[17351]: Client 10.0.0.190 finished menu.c32<br />
Mar  6 17:55:32 localhost in.tftpd[17352]: RRQ from 10.0.0.190 filename pxelinux.cfg/default<br />
Mar  6 17:55:32 localhost in.tftpd[17352]: Client 10.0.0.190 finished pxelinux.cfg/default
</pre>
<p><strong>CentOS-7-x86_64.cfg文件内容</strong></p>
<pre class="prettyprint linenums">
[root@cobbler kickstarts]# cat CentOS-7-x86_64.cfg<br />
#### cobbler for Kickstart Configurator for CentOS 7.4 by ChenTaicheng<br />
install<br />
url --url=$tree<br />
text<br />
lang en_US.UTF-8<br />
keyboard us<br />
zerombr<br />
bootloader --location=mbr<br />
\# Network information<br />
$SNIPPET('network_config')<br />
timezone --utc Asia/Shanghai<br />
authconfig --enableshadow --passalgo=sha512<br />
rootpw  --iscrypted $default_password_crypted<br />
clearpart --all --initlabel<br />
part /boot --fstype xfs --size 200<br />
part swap --size 200<br />
part / --fstype xfs --size 9500<br />
firstboot --disable<br />
selinux --disabled<br />
firewall --disabled<br />
logging --level=info<br />
reboot<br />
%pre<br />
$SNIPPET('log_ks_pre')<br />
$SNIPPET('kickstart_start')<br />
$SNIPPET('pre_install_network_config')<br />
\#Enable installation monitoring<br />
$SNIPPET('pre_anamon')<br />
%end<br />
%packages<br />
@base<br />
@compat-libraries<br />
@debugging<br />
@development<br />
tree<br />
nmap<br />
sysstat<br />
lrzsz<br />
dos2unix<br />
telnet<br />
iptraf<br />
ncurses-devel<br />
openssl-devel<br />
zlib-devel<br />
OpenIPMI-tools<br />
screen<br />
%end<br />
%post<br />
systemctl disable postfix.service<br />
%end[root@cobbler kickstarts]#
</pre>
<p><strong>CentOS-6.6-x86_64.cfg文件内容</strong></p>
<pre class="prettyprint linenums">
\#platform=x86, AMD64, or Intel EM64T<br />
\#System authorization information<br />
auth  --useshadow  --enablemd5<br />
\#System bootloader configuration<br />
bootloader --location=mbr<br />
\#Partition clearing information<br />
clearpart --all --initlabel<br />
\#Partition information<br />
part /boot --fstype ext4 --size 1024 --ondisk sda<br />
part swap --size=1500<br />
part / --fstype ext4 --size 1 --grow --ondisk sda

\#Use text mode install<br />
text<br />
\#Firewall configuration<br />
firewall --disable<br />
\#Run the Setup Agent on first boot<br />
firstboot --disable<br />
\#System keyboard<br />
keyboard us<br />
\#System language<br />
lang en_US<br />
\#Use network installation<br />
url --url=$tree<br />
\#If any cobbler repo definitions were referenced in the kickstart profile, include them here.<br />
$yum_repo_stanza<br />
\#Network information<br />
$SNIPPET('network_config')<br />
\#network --bootproto=dhcp   --device=em1<br />
\#Reboot after installation<br />
reboot

\#Root password<br />
rootpw --iscrypted $default_password_crypted<br />
\#SELinux configuration<br />
selinux --disabled<br />
\#Do not configure the X Window System<br />
skipx<br />
\#System timezone<br />
timezone   Asia/Shanghai<br />
\#Install OS instead of upgrade<br />
install<br />
\#Clear the Master Boot Record<br />
zerombr

%packages<br />
@base<br />
@compat-libraries<br />
@debugging<br />
@development<br />
tree<br />
nmap<br />
sysstat<br />
lrzsz<br />
dos2unix<br />
telnet

%pre<br />
$SNIPPET('log_ks_pre')<br />
$SNIPPET('kickstart_start')<br />
$SNIPPET('pre_install_network_config')<br />
\#Enable installation monitoring<br />
$SNIPPET('pre_anamon')

%post

%end

###定制开始显示网站<br />
[root@cobbler ~]# cd /etc/cobbler/pxe<br />
[root@cobbler pxe]# cat pxedefault.template<br />
DEFAULT menu<br />
PROMPT 0<br />
MENU TITLE Cobbler | http://cobbler.github.io<br />
TIMEOUT 200<br />
TOTALTIMEOUT 6000<br />
ONTIMEOUT $pxe_timeout_profile

LABEL local<br />
        MENU LABEL (local)<br />
        MENU DEFAULT<br />
        LOCALBOOT -1

$pxe_menu_items

MENU end
</pre>
<hr>
<hr>
<h2>扩展</h2>
<h3>客户机自动重新安装</h3>
<p><strong>客户端执行：</strong></p>
<pre class="prettyprint linenums">
yum install -y koan<br />
koan --server=10.0.0.181 --list=profiles<br />
koan --replace-self --server=10.0.0.181 --profile=CentOS-7-x86_64
</pre>
<h3>搭建yum源</h3>
<p><strong>服务端配置</strong></p>
<pre class="prettyprint linenums">
1.添加repo<br />
cobbler repo add --name=openstack-queens --mirror=https://mirrors.aliyun.com/centos/7.4.1708/cloud/x86_64/openstack-queens/ --arch=x86_64 --breed=yum<br />
2.同步repo<br />
cobbler reposync<br />
3.添加repo到对应的profile<br />
cobbler profile edit --name=CentOS-7-x86_64 --repos="openstack-queens"<br />
4.修改kickstart文件，添加下面内容到%post %end中间<br />
systemctl disable postfix.service<br />
%yum_config_stanza
</pre>
<h3>根据MAC定制化装机</h3>
<pre class="prettyprint linenums">
cobbler system add --name=linux-node2.oldboyedu.com --mac=00:50:56:21:AF:72 --profile=CentOS-7-x86_64 \<br />
--ip-address=10.0.0.199 --subnet=255.255.255.0 --gateway=10.0.0.2 --interface=eth0 \<br />
--static=1 --hostname=linux-node2.oldboyedu.com --name-servers="10.0.0.2" \<br />
--kickstart=/var/lib/cobbler/kickstarts/CentOS-7-x86_64.cfg
</pre>
<h2>相关命令及文件</h2>
<pre class="prettyprint linenums">
cobbler    \#cobbler程序包<br />
cobbler-web  \#cobbler的web服务包<br />
pykickstart  \#cobbler检查kickstart语法错误<br />
httpd       \#Apache web服务

/etc/cobbler                   \# 配置文件目录<br />
/etc/cobbler/settings         \# cobbler主配置文件<br />
/etc/cobbler/dhcp.template    \# DHCP服务的配置模板<br />
/etc/cobbler/tftpd.template   \# tftp服务的配置模板<br />
/etc/cobbler/rsync.template   \# rsync服务的配置模板<br />
/etc/cobbler/iso              \# iso模板配置文件目录<br />
/etc/cobbler/pxe              \# pxe模板文件目录<br />
/etc/cobbler/power            \# 电源的配置文件目录<br />
/etc/cobbler/users.conf       \# Web服务授权配置文件<br />
/etc/cobbler/users.digest     \# web访问的用户名密码配置文件<br />
/etc/cobbler/dnsmasq.template \# DNS服务的配置模板<br />
/etc/cobbler/modules.conf     \# Cobbler模块配置文件<br />
/var/lib/cobbler               \# Cobbler数据目录<br />
/var/lib/cobbler/config       \# 配置文件<br />
/var/lib/cobbler/kickstarts   \# 默认存放kickstart文件<br />
/var/lib/cobbler/loaders      \# 存放的各种引导程序<br />
/var/www/cobbler               \# 系统安装镜像目录<br />
/var/www/cobbler/ks_mirror    \# 导入的系统镜像列表<br />
/var/www/cobbler/images       \# 导入的系统镜像启动文件<br />
/var/www/cobbler/repo_mirror  \# yum源存储目录<br />
/var/log/cobbler               \# 日志目录<br />
/var/log/cobbler/install.log  \# 客户端系统安装日志<br />
/var/log/cobbler/cobbler.log  \# cobbler日志

导入镜像命令<br />
cobbler import --path=/mnt/ --name Centos-6.6-x86_64 --arch=x86_64<br />
####--path 镜像路径<br />
####--name 为安装源定义一个名称<br />
####--arch 指定安装源是32位、64位、ia64, 目前支持的选项有: x86│x86_64│ia64

查看导入信息<br />
cobbler profile report
</pre>																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/8e10e3e9.html">三级联动（ajax）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdoywk8.html">获取sde 工作空间 propertys</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0lrr0q.html">001&lowbar;bytearray</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4y6rp5q.html">Hadoop学习&mdash;最大的敌人是自己</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvoew1q.html">com和dll（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1d0kx9.html">Yii 2&period;0安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjkjvk8.html">Android JNI入门第四篇&mdash;&mdash;Android&period;mk文件分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjvlnk8.html">QTP DataTable全攻略&lpar;1&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1027oq.html">MegCup 2017 极客挑战赛 初赛试题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpk6y7q.html">基于spring mvc的图片验证码实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzvnk48.html">Java内存模型：volatile详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pz5ry8.html">Python数据库查询之组合条件查询-F&amp;amp&semi;Q查询</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z257j9.html">json省市县数据源</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyp2rm9.html">Byword for Mac&lpar;Markdown编辑器&rpar;中文版</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2lk72q.html">SpringBoot集成原生redis</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj7o009.html">MP3文件结构解析&lpar;超详细&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gpkvz49.html">Extjs  GridPanel  监听事件  行选中背景</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwl2k7y9.html">springcloud 实战  网关zuul使用中遇到的相关问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qd50eex9.html">超简单Centos&plus;Docker&plus;Halo搭建java向博客</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvd1wx1q.html">java简答题</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9pp5xoy9.html">HDU5023&colon;A Corrupt Mayor&amp;&num;39&semi;s Performance Art&lpar;线段树区域更新&plus;二进制）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gpy51z9.html">php5&period;6安装gd库</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvewj119.html">Hello 2019 Solution</a>
			</li>
						<li><a href="https://www.batexi.com/a/9531zkm8.html">windows监听socket和标准输入</a>
			</li>
						<li><a href="https://www.batexi.com/a/9531nom8.html">nw&period;js node-webkit系列（18）怎么对&period;js进行编译以防你的代码暴露出来</a>
			</li>
						<li><a href="https://www.batexi.com/a/qx2gxz08.html">tcpdump 的正确食用方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnne0l2q.html">如何运行&period;ipynb文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pp5yxz9.html">MVC 返回对象换成json</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4p15kjq.html">解决 docker&colon; Error response from daemon&colon; &period;&period;&period; &colon;  net&sol;http&colon; TLS handshake timeout&period;</a>
			</li>
						<li><a href="https://www.batexi.com/a/95311v68.html">shell 判断一个字符串是否为空</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
